<!--
  Generated template for the PaymentsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Driver Earnings</ion-title>
  </ion-navbar>

  <div class="pad-all-10">
    <h1 class="jumbo">${{totalPayout}}</h1>
    <p class="text-white"><br />Last Week's Earnings</p>
  </div>

</ion-header>

<ion-content>

    <ion-card *ngIf="currentUser.user.paypal_email == null" class="action-notice rounded">
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col col-2>
              <ion-icon name="alert" class="icon-big"></ion-icon>
            </ion-col>
            <ion-col col-10 >
              <p>We use PayPal to process driver payments. You must add a PayPal account email to receive payments.</p>  
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>

  <h2 class="text-center text-theme allcaps">All Payouts</h2> 
	
	<ion-list inset *ngFor="let r of rides; let i = index" class="text-center rides" padding>
    
    <ion-card>
      <ion-card-content>
        <ion-grid>
          <ion-row (click)="viewRide(i)">
            <ion-col col-4 class="img-avatar">
              <p> <small> Date </small></p>
              <h4> <strong> {{r.date}} </strong> </h4>  
            </ion-col>

            <ion-col col-4>
            	<p> <small> Hour </small> </p> 
            	<h4> <strong> {{r.start}}</strong> </h4>
            </ion-col>

            <ion-col col-4>
            	<small> Earn </small>
              <p> ${{r.ride_total}} </p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-8>
              <p>  From <strong>{{r.location_from}} </strong> </p>
              <p>  To <strong> {{r.location_to}} </strong> </p>
            </ion-col>
            <ion-col col-4>
              <small> Passengers </small>
              <p> {{r.passengers}} </p>
            </ion-col>
          </ion-row>
        </ion-grid> 
      </ion-card-content>
    </ion-card>

  </ion-list>

  <div *ngIf="noRide">
    <p> You have no payouts yet - complete a ride to earn money </p> 
  </div>
</ion-content>
